-- 基础信息
base_info = {
	group_id = 199003027
}

-- DEFS_MISCS
local        defs = {

        --连线形态
        patterns =
        {
                --形态1
                [1] =
                {

                       	[27001] = 27002,
                        	[27002] = 27003,
		[27003] = 27004,
                                [27004] = 27005,
                                [27005] = 27001,
                                [27006] = 27007,
                                [27007] = 27008,
                [27008] = 27012,
                   [27012] = 27006,
                                [27009] = 27010,
                                [27010] = 27011,
                             [27011] = 27013,
                         [27013] = 27009,



                },
                --形态2
                [2] =
                {
                       	[35001] = 35003,
                        	[35002] = 35004,
		[35003] = 35004,
                                [35004] = 35006,
                                [35005] = 35001,
                                [35006] = 35001,
                },
        }

}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[27001] = { config_id = 27001, gadget_id = 70310179, pos = { x = -578.627, y = 121.082, z = 777.472 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 20, area_id = 403 },
	[27002] = { config_id = 27002, gadget_id = 70310179, pos = { x = -571.714, y = 121.082, z = 783.936 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 20, area_id = 403 },
	[27003] = { config_id = 27003, gadget_id = 70310179, pos = { x = -571.810, y = 121.082, z = 788.615 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 20, area_id = 403 },
	[27004] = { config_id = 27004, gadget_id = 70310179, pos = { x = -556.265, y = 121.082, z = 781.443 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 20, area_id = 403 },
	[27005] = { config_id = 27005, gadget_id = 70310179, pos = { x = -565.475, y = 121.082, z = 771.461 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 20, area_id = 403 },
	[27006] = { config_id = 27006, gadget_id = 70310179, pos = { x = -562.439, y = 121.082, z = 793.824 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 20, area_id = 403 },
	[27007] = { config_id = 27007, gadget_id = 70310179, pos = { x = -554.991, y = 120.000, z = 794.356 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 20, area_id = 403 },
	[27008] = { config_id = 27008, gadget_id = 70310179, pos = { x = -551.371, y = 120.000, z = 796.981 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 20, area_id = 403 },
	[27009] = { config_id = 27009, gadget_id = 70310179, pos = { x = -544.037, y = 120.000, z = 781.572 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 20, area_id = 403 },
	[27010] = { config_id = 27010, gadget_id = 70310179, pos = { x = -548.585, y = 120.000, z = 775.450 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 20, area_id = 403 },
	[27011] = { config_id = 27011, gadget_id = 70310179, pos = { x = -551.441, y = 120.000, z = 763.226 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 20, area_id = 403 },
	[27012] = { config_id = 27012, gadget_id = 70310179, pos = { x = -556.265, y = 121.082, z = 781.443 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 20, area_id = 403 },
	[27013] = { config_id = 27013, gadget_id = 70310179, pos = { x = -556.265, y = 121.082, z = 781.443 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 20, area_id = 403 },
	[27014] = { config_id = 27014, gadget_id = 70360002, pos = { x = -565.393, y = 120.000, z = 783.449 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 20, area_id = 403 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 27001, 27002, 27003, 27004, 27005, 27006, 27007, 27008, 27009, 27010, 27011, 27012, 27013, 27014 },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_8/ConstellationPattern"
